[pkg-java] r2774 - in branches/tomcat5.5/feature/debian: container/catalina/src/bin debian

Marcus Better marcusb-guest at alioth.debian.org
Tue Nov 21 10:55:18 CET 2006


Author: marcusb-guest
Date: 2006-11-21 10:55:18 +0100 (Tue, 21 Nov 2006)
New Revision: 2774

Modified:
   branches/tomcat5.5/feature/debian/container/catalina/src/bin/catalina.sh
   branches/tomcat5.5/feature/debian/debian/tomcat5.5.default
Log:
Really fix running with gcj. Documented that security manager doesn't work with java-gcj-compat-dev.


Modified: branches/tomcat5.5/feature/debian/container/catalina/src/bin/catalina.sh
===================================================================
--- branches/tomcat5.5/feature/debian/container/catalina/src/bin/catalina.sh	2006-11-21 09:54:16 UTC (rev 2773)
+++ branches/tomcat5.5/feature/debian/container/catalina/src/bin/catalina.sh	2006-11-21 09:55:18 UTC (rev 2774)
@@ -116,9 +116,8 @@
   fi
 fi
 
-if [ $("$_RUNJAVA" -version | grep "^gij (GNU libgcj)" > /dev/null) ]; then
-  gcj=yes
-fi
+gcj=no
+"$_RUNJAVA" -version 2>&1 | grep -q "^gij (GNU libgcj)" && gcj=yes
 
 # Add on extra jar files to CLASSPATH
 if [ -n "$JSSE_HOME" -a "$gcj" != "yes" ]; then
@@ -243,6 +242,12 @@
   shift
   touch "$CATALINA_BASE"/logs/catalina.out
   if [ "$1" = "-security" ] ; then
+    if [ "$gcj" = "yes" ]; then
+      echo "The java-gcj-compat-dev environment currently doesn't support"
+      echo "a security manager. Please check the TOMCAT5_SECURITY variable"
+      echo "in /etc/default/tomcat5.5."
+      exit 1
+    fi
     echo "Using Security Manager"
     shift
     "$_RUNJAVA" $JAVA_OPTS $CATALINA_OPTS \

Modified: branches/tomcat5.5/feature/debian/debian/tomcat5.5.default
===================================================================
--- branches/tomcat5.5/feature/debian/debian/tomcat5.5.default	2006-11-21 09:54:16 UTC (rev 2773)
+++ branches/tomcat5.5/feature/debian/debian/tomcat5.5.default	2006-11-21 09:55:18 UTC (rev 2774)
@@ -1,12 +1,12 @@
-# Run Tomcat 5 as this user ID (default: tomcat55). Set this to an empty string
+# Run Tomcat as this user ID (default: tomcat55). Set this to an empty string
 # to prevent Tomcat from starting.
 #TOMCAT5_USER=tomcat55
 
 # The home directory of the Java development kit (JDK). You need at least
 # JDK version 1.4. If JAVA_HOME is not set, some common directories for 
-# the j2sdk1.4, j2sdk1.4 Debian packages created by java-package and the 
-# free runtimes kaffe and java-gcj-compat-dev are tried.
-#JAVA_HOME=/usr/lib/j2sdk1.4-sun
+# the Sun JDK, various J2SE 1.4 versions, and the free runtimes
+# java-gcj-compat-dev and kaffe are tried.
+#JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun
 
 # Directory for per-instance configuration files and webapps. It contain the
 # directories conf, logs, webapps, work and temp. See RUNNING.txt for details.
@@ -23,11 +23,12 @@
 #JSP_COMPILER=jikes
 
 # Use the Java security manager? (yes/no, default: yes)
+# WARNING: Do not disable the security manager unless you understand
+# the consequences!
+# NOTE: java-gcj-compat-dev currently doesn't support a security
+# manager. 
 #TOMCAT5_SECURITY=yes
 
 # Timeout in seconds for the shutdown procedure (default: 30). The Java
 # processes will be killed if tomcat5.5 has not stopped until then.
 #TOMCAT5_SHUTDOWN=30
-
-# Number of days to keep old log files in /var/log/tomcat5.5 (default: 14)
-#LOGFILE_DAYS=30




More information about the pkg-java-commits mailing list